POST
/v1/mgmt/fga/resources/load

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

resourceIdentifiers*array<ResourceIdentifier>
Items1 <= items <= 2000

Load FGA resources

This endpoint allows you to load resources for Fine-Grained Authorization.

curl -X POST "https://api.descope.com/v1/mgmt/fga/resources/load" \  -H "Content-Type: application/json" \  -d '{    "resourceIdentifiers": [      {        "resourceId": "string",        "resourceType": "string"      }    ]  }'
{  "resourcesDetails": [    {      "resourceId": "string",      "resourceType": "string",      "displayName": "string"    }  ]}
/** * Response message for loading details for resources */export interface Response {resourcesDetails?: {resourceId: stringresourceType: stringdisplayName: string}[]}
Was this helpful?